---
const { minWidth } = Astro.props;
---

<ul>
  <slot/>
</ul>

<style define:vars={{ 'min-width': minWidth }}>
ul {
  margin: 0;
  padding-left: 0;
  list-style-type: none;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(var(--min-width), 1fr));
  gap: 16px;
  padding: 16px;
  grid-auto-rows: minmax(100px, auto);
}
</style>
